LIBGPHOTO2_PORT(3)

NAME
libgphoto2_port - cross-platform port access library

SYNOPSIS
#include <gphoto2_port.h>

DESCRIPTION

The libgphoto2_port library was written to provide libgphoto2(3) with a generic way of accessing ports. In this function, libgphoto2_port is the successor of the libgpio library.

Currently, libgphoto2_port supports serial (RS-232) and USB connections, the latter requiring libusb to be installed.

The autogenerated API docs will be added here in the future.

ENVIRONMENT VARIABLES

IOLIBS
    If set, defines the directory where libgphoto2_port looks for its I/O drivers (camlibs).

USB_DEBUG
    If set, defines the numeric libusb debug level with which libusb will print messages.

SEE ALSO

libgphoto2(3), The gPhoto2 Manual, gphoto website: http://www.gphoto.org/, automatically generated API docs, libusb website: http://libusb.sourceforge.net/ .

AUTHOR
The gPhoto2 Team.
Man page edited by Hans Ulrich Niedermann[ gp at n minus dimensional dot de ].